---
sidebar_position: 0
slug: /
---

# Hvad er LlamaIndex.TS?

`Denne dokumentation er blevet automatisk oversat og kan indeholde fejl. Tøv ikke med at åbne en Pull Request for at foreslå ændringer.`

LlamaIndex.TS er et dataframework til LLM-applikationer til at indtage, strukturere og få adgang til private eller domænespecifikke data. Mens der også er en python-pakke tilgængelig (se [her](https://docs.llamaindex.ai/en/stable/)), tilbyder LlamaIndex.TS kernefunktioner i en simpel pakke, optimeret til brug med TypeScript.

## 🚀 Hvorfor LlamaIndex.TS?

På deres kerne tilbyder LLM'er et naturligt sproginterface mellem mennesker og infererede data. Bredt tilgængelige modeller er forudtrænet på enorme mængder offentligt tilgængelige data, fra Wikipedia og mailinglister til lærebøger og kildekode.

Applikationer bygget oven på LLM'er kræver ofte at supplere disse modeller med private eller domænespecifikke data. Desværre kan disse data være fordelt på isolerede applikationer og datalagre. Det er bag API'er, i SQL-databaser eller fanget i PDF'er og præsentationer.

Det er her, **LlamaIndex.TS** kommer ind i billedet.

## 🦙 Hvordan kan LlamaIndex.TS hjælpe?

LlamaIndex.TS tilbyder følgende værktøjer:

- **Indlæsning af data** - indtag dine eksisterende `.txt`, `.pdf`, `.csv`, `.md` og `.docx` data direkte.
- **Dataindeks** - strukturer dine data i mellemliggende repræsentationer, der er nemme og effektive for LLM'er at forbruge.
- **Engines** - giver naturlig sprogadgang til dine data. For eksempel:
  - Query engines er kraftfulde hentningsgrænseflader til viden-forøget output.
  - Chat engines er samtalegrænseflader til flerbesked-, "frem og tilbage"-interaktioner med dine data.

## 👨‍👩‍👧‍👦 Hvem er LlamaIndex til?

LlamaIndex.TS tilbyder et kerne sæt værktøjer, der er essentielle for alle, der bygger LLM-apps med JavaScript og TypeScript.

Vores API på højt niveau giver begynderbrugere mulighed for at bruge LlamaIndex.TS til at indtage og forespørge deres data.

Til mere komplekse applikationer giver vores API'er på lavere niveau avancerede brugere mulighed for at tilpasse og udvide enhver modul - dataforbindelser, indekser, hentere og forespørgselsmotorer - for at imødekomme deres behov.

## Kom godt i gang

`npm install llamaindex`

Vores dokumentation inkluderer [Installationsinstruktioner](./installation.mdx) og en [Starter Tutorial](./starter.md) til at bygge din første applikation.

Når du er i gang, giver [Højniveaukoncepter](./getting_started/concepts.md) et overblik over LlamaIndex's modulære arkitektur. For flere praktiske eksempler, kan du kigge igennem vores [End-to-End Tutorials](./end_to_end.md).

## 🗺️ Økosystem

For at downloade eller bidrage, find LlamaIndex på:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Fællesskab

Brug for hjælp? Har du et forslag til en funktion? Bliv en del af LlamaIndex-fællesskabet:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
