---
sidebar_position: 3
---

# Έννοιες Υψηλού Επιπέδου

`Αυτό το έγγραφο έχει μεταφραστεί αυτόματα και μπορεί να περιέχει λάθη. Μη διστάσετε να ανοίξετε ένα Pull Request για να προτείνετε αλλαγές.`

Το LlamaIndex.TS σας βοηθά να δημιουργήσετε εφαρμογές με LLM (π.χ. Q&A, chatbot) πάνω σε προσαρμοσμένα δεδομένα.

Σε αυτόν τον οδηγό με υψηλού επιπέδου έννοιες, θα μάθετε:

- πώς ένα LLM μπορεί να απαντήσει σε ερωτήσεις χρησιμοποιώντας τα δικά σας δεδομένα.
- βασικές έννοιες και ενότητες στο LlamaIndex.TS για τη σύνθεση του δικού σας παραγωγής ερωτήματος.

## Απάντηση σε Ερωτήσεις Πάνω στα Δεδομένα Σας

Το LlamaIndex χρησιμοποιεί μια διαδικασία δύο σταδίων όταν χρησιμοποιείτε ένα LLM με τα δεδομένα σας:

1. **στάδιο ευρετηρίασης**: προετοιμασία μιας βάσης γνώσης και
2. **στάδιο ερωτήματος**: ανάκτηση σχετικού περιβάλλοντος από τη γνώση για να βοηθήσει το LLM να απαντήσει σε μια ερώτηση.

![](./_static/concepts/rag.jpg)

Αυτή η διαδικασία είναι επίσης γνωστή ως Επαναφορά Εμπλουτισμένης Δημιουργίας (RAG).

Το LlamaIndex.TS παρέχει το απαραίτητο εργαλείο για να καταστήσει και τα δύο βήματα πολύ εύκολα.

Ας εξερευνήσουμε κάθε στάδιο αναλυτικά.

### Στάδιο Ευρετηρίασης

Το LlamaIndex.TS σας βοηθά να προετοιμάσετε τη βάση γνώσης με ένα σύνολο συνδέσεων δεδομένων και ευρετηρίων.

![](./_static/concepts/indexing.jpg)

[**Φορτωτές Δεδομένων**](./modules/high_level/data_loader.md):
Ένας συνδετήρας δεδομένων (δηλαδή `Reader`) εισάγει δεδομένα από διάφορες πηγές δεδομένων και μορφές δεδομένων σε μια απλή αναπαράσταση `Document` (κείμενο και απλή μεταδεδομένα).

[**Έγγραφα / Κόμβοι**](./modules/high_level/documents_and_nodes.md): Ένα `Document` είναι ένα γενικός δοχείο γύρω από οποιαδήποτε πηγή δεδομένων - για παράδειγμα, ένα PDF, ένα αποτέλεσμα API ή ανακτηθέντα δεδομένα από μια βάση δεδομένων. Ένας `Κόμβος` είναι η ατομική μονάδα δεδομένων στο LlamaIndex και αναπαριστά ένα "κομμάτι" ενός πηγαίου `Έγγραφου`. Είναι μια πλούσια αναπαράσταση που περιλαμβάνει μεταδεδομένα και σχέσεις (με άλλους κόμβους) για να επιτρέψει ακριβείς και εκφραστικές λειτουργίες ανάκτησης.

[**Ευρετήρια Δεδομένων**](./modules/high_level/data_index.md):
Αφού εισάγετε τα δεδομένα σας, το LlamaIndex σας βοηθά να ευρετηριάσετε τα δεδομένα σε ένα μορφότυπο που είναι εύκολο να ανακτηθεί.

Κάτω από το καπό, το LlamaIndex αναλύει τα αρχικά έγγραφα σε ενδιάμεσες αναπαραστάσεις, υπολογίζει διανύσματα ενσωμάτωσης και αποθηκεύει τα δεδομένα σας στη μνήμη ή στον δίσκο.

### Στάδιο Ερωτήματος

Στο στάδιο του ερωτήματος, η αλυσίδα ερωτημάτων ανακτά το πιο σχετικό περιβάλλον δεδομένων δεδομένου μιας ερωτήσεως χρήστη
και το περνά στο LLM (μαζί με το ερώτημα) για να συνθέσει μια απάντηση.

Αυτό δίνει στο LLM ενημερωμένη γνώση που δεν υπάρχει στα αρχικά δεδομένα εκπαίδευσής του,
(μείωση επίσης της ψευδαισθησίας).

Η κύρια πρόκληση στο στάδιο του ερωτήματος είναι η ανάκτηση, οργάνωση και συλλογισμός πάνω σε (πιθανώς πολλές) βάσεις γνώσης.

Το LlamaIndex παρέχει ενότητες που μπορούν να συνθέσουν και να βοηθήσουν στην κατασκευή παραγωγικών ερωτημάτων RAG για Q&A (μηχανή ερωτήσεων), chatbot (μηχανή συνομιλίας) ή ως μέρος ενός πράκτορα.

Αυτά τα κτίρια μπορούν να προσαρμοστούν για να αντανακλούν τις προτιμήσεις κατάταξης, καθώς και να συνθέσουν συλλογισμό πάνω σε πολλαπλές βάσεις γνώσης με δομημένο τρόπο.

![](./_static/concepts/querying.jpg)

#### Κτίρια

[**Retrievers**](./modules/low_level/retriever.md):
Ένας ανακτητής καθορίζει πώς να ανακτήσετε αποτελεσματικά σχετικό περιβάλλον από μια βάση γνώσης (δηλαδή ευρετήριο) όταν δίνεται ένα ερώτημα.
Η συγκεκριμένη λογική ανάκτησης διαφέρει για διάφορα ευρετήρια, με το πιο δημοφιλές να είναι η πυκνή ανάκτηση έναντι ενός διανυσματικού ευρετηρίου.

[**Response Synthesizers**](./modules/low_level/response_synthesizer.md):
Ένας συνθέτης απόκρισης δημιουργεί μια απάντηση από ένα LLM, χρησιμοποιώντας ένα ερώτημα χρήστη και ένα σύνολο ανακτημένων τμημάτων κειμένου.

"

#### Αλυσίδες

[**Μηχανές Ερωτήσεων**](./modules/high_level/query_engine.md):
Μια μηχανή ερωτήσεων είναι μια αλυσίδα που σας επιτρέπει να κάνετε ερωτήσεις στα δεδομένα σας.
Παίρνει μια φυσική γλώσσα ερώτηση και επιστρέφει μια απάντηση, μαζί με το ανακτημένο περιβάλλον αναφοράς που περνά στο LLM.

[**Μηχανές Συνομιλίας**](./modules/high_level/chat_engine.md):
Μια μηχανή συνομιλίας είναι μια αλυσίδα για να έχετε μια συνομιλία με τα δεδομένα σας
(πολλαπλές ανταλλαγές αντί για μια μόνο ερώτηση και απάντηση).

"
