---
sidebar_position: 0
slug: /
---

# Mis on LlamaIndex.TS?

`See dokumentatsioon on tõlgitud automaatselt ja võib sisaldada vigu. Ärge kartke avada Pull Request, et pakkuda muudatusi.`

LlamaIndex.TS on andmefraimvork LLM rakenduste jaoks, mis võimaldab andmete vastuvõtmist, struktureerimist ja juurdepääsu privaatsetele või domeenispetsiifilistele andmetele. Kuigi on saadaval ka Pythoni pakett (vaata [siit](https://docs.llamaindex.ai/en/stable/)), pakub LlamaIndex.TS põhifunktsioone lihtsas pakendis, mis on optimeeritud TypeScripti kasutamiseks.

## 🚀 Miks kasutada LlamaIndex.TS?

LLM-id pakuvad inimeste ja järeldatud andmete vahel loomuliku keele liidest. Laialdaselt kättesaadavad mudelid on eelnevalt treenitud suurel hulgal avalikult kättesaadavatel andmetel, alates Vikipeediast ja meililistidest kuni õpikute ja lähtekoodini.

LLM-ide peal ehitatud rakendused vajavad sageli nende mudelite täiendamist privaatsete või domeenispetsiifiliste andmetega. Kahjuks võivad need andmed olla jaotatud eraldatud rakenduste ja andmebaaside vahel. Need võivad olla API-de taga, SQL-andmebaasides või lõksus PDF-failides ja slaidide komplektides.

Siin tuleb appi **LlamaIndex.TS**.

## 🦙 Kuidas saab LlamaIndex.TS aidata?

LlamaIndex.TS pakub järgmisi tööriistu:

- **Andmete laadimine** - võimaldab olemasolevate `.txt`, `.pdf`, `.csv`, `.md` ja `.docx` andmete otsest sissevõtmist.
- **Andmeindeksid** - struktureerib andmed vahepealsetesse esitustesse, mis on LLM-idele lihtsad ja tõhusad.
- **Mootorid** - pakuvad loomuliku keele juurdepääsu andmetele. Näiteks:
  - Päringumootorid on võimsad otsingu liidesed teadmistega täiendatud väljundite jaoks.
  - Vestlusmootorid on vestlusliidesed mitme sõnumi "edasi-tagasi" suhtluseks andmetega.

## 👨‍👩‍👧‍👦 Kellele on LlamaIndex mõeldud?

LlamaIndex.TS pakub põhikomplekti tööriistu, mis on olulised kõigile, kes ehitavad LLM rakendusi JavaScripti ja TypeScriptiga.

Meie kõrgtasemel API võimaldab algajatel kasutajatel kasutada LlamaIndex.TS-i andmete sissevõtmiseks ja päringute tegemiseks.

Täpsemate rakenduste jaoks võimaldavad meie madalama taseme API-d edasijõudnud kasutajatel kohandada ja laiendada mis tahes moodulit - andmeühendusi, indekseid, taastajaid ja päringumootoreid vastavalt nende vajadustele.

## Alustamine

`npm install llamaindex`

Meie dokumentatsioonis on [paigaldusjuhised](./installation.mdx) ja [algõpetus](./starter.md) oma esimese rakenduse loomiseks.

Kui olete valmis ja töötate, siis [kõrgtasemel kontseptsioonid](./getting_started/concepts.md) annavad ülevaate LlamaIndexi moodularhitektuurist. Praktiliste näidete jaoks vaadake läbi meie [otsast lõpuni õpetused](./end_to_end.md).

## 🗺️ Ökosüsteem

LlamaIndexi saate alla laadida või sellele kaasa aidata järgmistel platvormidel:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Kogukond

Vajate abi? On teil funktsioonisoovitus? Liituge LlamaIndex kogukonnaga:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
