---
sidebar_position: 3
---

# مفاهیم سطح بالا

`undefined`

LlamaIndex.TS به شما کمک می کند برنامه های قدرتمند LLM (مانند سوال و پاسخ، ربات گفتگو) را بر روی داده های سفارشی خود بسازید.

در این راهنمای مفاهیم سطح بالا، شما خواهید آموخت:

- چگونه یک LLM می تواند با استفاده از داده های خود به سوالات پاسخ دهد.
- مفاهیم کلیدی و ماژول های LlamaIndex.TS برای ساخت لوله کشی پرس و جوی خود.

## پاسخ دادن به سوالات در سراسر داده های شما

LlamaIndex از یک روش دو مرحله ای استفاده می کند هنگام استفاده از یک LLM با داده های شما:

1. **مرحله فهرست بندی**: آماده سازی یک پایگاه دانش، و
2. **مرحله پرس و جو**: بازیابی متناسب بازهم از دانش برای کمک به LLM در پاسخ به یک سوال

![](./_static/concepts/rag.jpg)

این فرآیند همچنین به عنوان بازیابی تولید افزوده (RAG) شناخته می شود.

LlamaIndex.TS ابزارهای ضروری را برای ساخت هر دو مرحله به شما ارائه می دهد.

بیایید هر مرحله را به تفصیل بررسی کنیم.

### مرحله فهرست بندی

LlamaIndex.TS به شما کمک می کند پایگاه دانش را با مجموعه ای از اتصال دهنده ها و فهرست ها آماده کنید.

![](./_static/concepts/indexing.jpg)

[**بارگیری داده ها**](./modules/high_level/data_loader.md):
یک اتصال دهنده داده (به عنوان مثال `Reader`) داده ها را از منابع داده های مختلف و فرمت های داده مختلف به یک نمایش ساده `Document` (متن و متادیتا ساده) وارد می کند.

[**اسناد / گره ها**](./modules/high_level/documents_and_nodes.md): یک `Document` یک ظرف عمومی برای هر منبع داده است - به عنوان مثال، یک فایل PDF، خروجی یک API یا داده های بازیابی شده از یک پایگاه داده. یک `Node` واحد اتمی داده در LlamaIndex است و یک "تکه" از یک `Document` منبع را نمایش می دهد. این یک نمایش غنی است که شامل متادیتا و روابط (با گره های دیگر) برای امکان عملیات بازیابی دقیق و بیانگر است.

[**فهرست داده ها**](./modules/high_level/data_index.md):
با وارد کردن داده های خود، LlamaIndex به شما کمک می کند داده ها را به یک فرمتی که به راحتی قابل بازیابی است، فهرست کنید.

درون LlamaIndex، اسناد خام را به نمایش های میانی تجزیه می کند، تعبیرهای برداری را محاسبه می کند و داده های شما را در حافظه یا روی دیسک ذخیره می کند.

"

### مرحله پرس و جو

در مرحله پرس و جو، لوله کشی پرس و جو متناسب با پرس و جوی کاربر، متناسب با متناسبت مربوطه را بازیابی می کند
و آن را به LLM (همراه با پرس و جو) منتقل می کند تا یک پاسخ ترکیبی را تولید کند.

این به LLM دانش به روز رسانی شده ای می دهد که در داده های آموزشی اصلی آن نیست
(همچنین کاهش هالوسیناسیون).

چالش اصلی در مرحله پرس و جو بازیابی، هماهنگی و استدلال بر روی پایگاه های دانش (احتمالاً بسیاری) است.

LlamaIndex ماژول های قابل ترکیبی را ارائه می دهد که به شما در ساخت و یکپارچه سازی لوله کشی RAG برای سوال و جو (موتور پرس و جو)، ربات گفتگو (موتور گفتگو) یا به عنوان بخشی از یک عامل کمک می کند.

این بلاک های ساختمانی قابل سفارشی سازی هستند تا ترجیحات رتبه بندی را منعکس کنند، و همچنین برای استدلال بر روی چندین پایگاه دانش به صورت ساختار یافته ترکیب شوند.

![](./_static/concepts/querying.jpg)

#### بلاک های ساختمانی

[**بازیابی کننده ها**](./modules/low_level/retriever.md):
بازیابی کننده تعریف می کند که چگونه می توان به طور کارآمد متناسب با متناسب با پایگاه دانش (یعنی ایندکس) با یک کوئری داده شده بازیابی کرد.
منطق بازیابی خاص برای اندیس های مختلف متفاوت است، محبوب ترین آنها بازیابی متمرکز در برابر یک ایندکس برداری است.

[**ترکیب کننده های پاسخ**](./modules/low_level/response_synthesizer.md):
ترکیب کننده پاسخ، یک پاسخ را از یک LLM تولید می کند، با استفاده از یک کوئری کاربر و مجموعه داده های متنی بازیابی شده.

"

#### لوله های کشی

[**موتورهای پرس و جو**](./modules/high_level/query_engine.md):
موتور پرس و جو یک لوله کشی از ابتدا تا انتها است که به شما امکان می دهد بر روی داده های خود سوال بپرسید.
این موتور یک پرس و جوی زبان طبیعی را دریافت می کند و یک پاسخ را همراه با متناسب بازیابی شده و به LLM منتقل می کند.

[**موتورهای گفتگو**](./modules/high_level/chat_engine.md):
موتور گفتگو یک لوله کشی از ابتدا تا انتها برای داشتن یک گفتگو با داده های شما است
(چندین بار به جای یک سوال و پاسخ).

"
