---
sidebar_position: 0
slug: /
---

# Що таке LlamaIndex.TS?

`Ця документація була автоматично перекладена і може містити помилки. Не соромтеся відкривати Pull Request, щоб запропонувати зміни.`

LlamaIndex.TS - це фреймворк для обробки даних в додатках LLM, який дозволяє вводити, структурувати та отримувати доступ до приватних або специфічних для домену даних. Хоча також доступний пакет для Python (див. [тут](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS пропонує основні функціональні можливості в простому пакеті, оптимізованому для використання з TypeScript.

## 🚀 Чому LlamaIndex.TS?

На своєму корені LLM-додатки пропонують інтерфейс природної мови між людьми та виведеними даними. Широко доступні моделі навчаються на величезній кількості публічно доступних даних, від Вікіпедії та списків розсилки до підручників та вихідного коду.

Додатки, побудовані на основі LLM-моделей, часто потребують доповнення цих моделей приватними або специфічними для домену даними. Незважаючи на це, ці дані можуть бути розподілені між ізольованими додатками та сховищами даних. Вони можуть бути заховані за API, зберігатися в SQL-базах даних або бути втягнутими в PDF-файли та презентації.

Саме тут і приходить на допомогу **LlamaIndex.TS**.

## 🦙 Як LlamaIndex.TS може допомогти?

LlamaIndex.TS надає наступні інструменти:

- **Завантаження даних** - введення ваших існуючих даних у форматах `.txt`, `.pdf`, `.csv`, `.md` та `.docx` безпосередньо.
- **Індекси даних** - структурування даних у проміжні представлення, які легкі та продуктивні для використання LLM.
- **Двигуни** - надають доступ до ваших даних за допомогою природної мови. Наприклад:
  - Двигуни запитів - потужні інтерфейси для отримання знань з підвищеною видачею.
  - Двигуни чату - розмовні інтерфейси для взаємодії з вашими даними у вигляді багато повідомлень "туди і назад".

## 👨‍👩‍👧‍👦 Для кого призначений LlamaIndex?

LlamaIndex.TS надає основний набір інструментів, які є необхідними для будь-якого, хто будує додатки LLM з використанням JavaScript та TypeScript.

Наше API високого рівня дозволяє початківцям використовувати LlamaIndex.TS для введення та запитування їх даних.

Для більш складних додатків наші API нижчого рівня дозволяють досвідченим користувачам налаштовувати та розширювати будь-який модуль - з'єднувачі даних, індекси, відновлювачі та двигуни запитів - для відповідності їх потребам.

## Початок роботи

`npm install llamaindex`

Наша документація містить [Інструкції з встановлення](./installation.mdx) та [Посібник для початківців](./starter.md) для створення вашої першої програми.

Після того, як ви розпочнете роботу, [Високорівневі концепції](./getting_started/concepts.md) містить огляд модульної архітектури LlamaIndex. Для більш практичних прикладів роботи, перегляньте наші [Посібники з кінця в кінець](./end_to_end.md).

## 🗺️ Екосистема

Для завантаження або співпраці з LlamaIndex, перейдіть за посиланнями:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Спільнота

Потрібна допомога? Є пропозиція щодо функціоналу? Приєднуйтесь до спільноти LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
