---
sidebar_position: 3
---

# QueryEngine (Запитовий рушій)

`Ця документація була автоматично перекладена і може містити помилки. Не соромтеся відкривати Pull Request, щоб запропонувати зміни.`

Запитовий рушій обгортає `Retriever` та `ResponseSynthesizer` в конвеєр, який використовує рядок запиту для отримання вузлів та надсилає їх до LLM для генерації відповіді.

```typescript
const queryEngine = index.asQueryEngine();
const response = await queryEngine.query("рядок запиту");
```

## Запитовий Двигун для Підзапитів

Основна концепція Запитового Двигуна для Підзапитів полягає в тому, що він розбиває один запит на кілька запитів, отримує відповідь для кожного з цих запитів, а потім комбінує ці різні відповіді в одну зв'язну відповідь для користувача. Ви можете уявити це як техніку "подумайте про це крок за кроком", але ітеруючись по джерелах даних!

### Початок роботи

Найпростіший спосіб спробувати Запитовий Двигун для Підзапитів - запустити файл subquestion.ts у папці [examples](https://github.com/run-llama/LlamaIndexTS/blob/main/examples/subquestion.ts).

```bash
npx ts-node subquestion.ts
```

"

### Інструменти

Запитовий Двигун для Підзапитів реалізований за допомогою Інструментів. Основна ідея Інструментів полягає в тому, що вони є виконавчими опціями для великомасштабної мовної моделі. У цьому випадку наш Запитовий Двигун для Підзапитів покладається на Інструмент QueryEngineTool, який, як ви вже здогадалися, є інструментом для виконання запитів на Запитовий Двигун. Це дозволяє нам дати моделі можливість запитувати різні документи для різних питань, наприклад. Ви також можете уявити, що Запитовий Двигун для Підзапитів може використовувати Інструмент, який шукає щось в Інтернеті або отримує відповідь за допомогою Wolfram Alpha.

Ви можете дізнатися більше про Інструменти, переглянувши документацію Python LlamaIndex за посиланням https://gpt-index.readthedocs.io/en/latest/core_modules/agent_modules/tools/root.html

## Довідка по API

- [RetrieverQueryEngine (Запитовий рушій Retriever)](../../api/classes/RetrieverQueryEngine.md)
- [SubQuestionQueryEngine (Запитовий рушій підзапитів)](../../api/classes/SubQuestionQueryEngine.md)
- [QueryEngineTool (Інструмент запитового рушія)](../../api/interfaces/QueryEngineTool.md)
